org.apache.felix.ipojo

## Interface HandlerFactory

All Superinterfaces:
  Factory

All Known Implementing Classes:
  HandlerManagerFactory

    public interface HandlerFactory
    extends Factory

Service interface published by handler factory. This interface allows interacting the the handler factory to create `Handler` objects.

Author:
  Felix Project Team
See Also:
  `Factory`

### Field Summary

Fields
`static java.lang.String` `IPOJO_NAMESPACE` The iPOJO Default Namespace.

### Fields inherited from interface org.apache.felix.ipojo.Factory

`FACTORY_VERSION_PROPERTY, INSTANCE_NAME_PROPERTY, INVALID, VALID`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getHandlerName()` Gets the name associated with this handler factory.
`java.lang.String` `getNamespace()` Gets the namespace associated with this handler factory.
`int` `getStartLevel()` Gets the start level of the handler objects created by this factory.
`java.lang.String` `getType()` Gets the type of the handler factory.

### Methods inherited from interface org.apache.felix.ipojo.Factory

`addFactoryStateListener, createComponentInstance, createComponentInstance, getBundleContext, getClassName, getComponentDescription, getComponentMetadata, getDescription, getInstances, getInstancesNames, getMissingHandlers, getName, getRequiredHandlers, getState, getVersion, isAcceptable, reconfigure, removeFactoryStateListener`

### Field Detail

#### IPOJO_NAMESPACE

    static final java.lang.String IPOJO_NAMESPACE

The iPOJO Default Namespace.

See Also:
  Constant Field Values

### Method Detail

#### getNamespace

    java.lang.String getNamespace()

Gets the namespace associated with this handler factory.

Returns:
  the namespace used by this handler

#### getHandlerName

    java.lang.String getHandlerName()

Gets the name associated with this handler factory.

Returns:
  the name used by this handler

#### getType

    java.lang.String getType()

Gets the type of the handler factory. The handler can only be plugged on instance container with the same type. Basically, types are `primitive` and `composite`.

Returns:
  the type of the handler

#### getStartLevel

    int getStartLevel()

Gets the start level of the handler objects created by this factory. Handlers with a low start level are configured and started before handlers with an higher start level. Moreover, these handlers are stopped and disposed after.

Returns:
  the handler's start level